Bug 849433 - Discharge estimate is wrong when using APC ups
Discharge estimate is wrong when using APC ups
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 08:53 EDT by Douglas Furlong
Modified: 2013-07-31 20:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:47:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upower -d output (748 bytes, text/plain)
2012-08-19 08:53 EDT, Douglas Furlong
no flags Details
Discharge Comparison (6.49 KB, text/plain)
2012-08-19 17:15 EDT, Douglas Furlong
no flags Details
Charge Comparison (1.97 KB, text/plain)
2012-08-19 17:16 EDT, Douglas Furlong
no flags Details

  None (edit)
Description Douglas Furlong 2012-08-19 08:53:22 EDT
Created attachment 605484 [details]
upower -d output

Description of problem:
I have an APC Back-UPS RS 800.

upower detacts the UPS without any apparent issues.

I've noticed though that it's time estimation for the battery discharging is entirely inacurate, resulting in the battery running out before gnome-power-manager shuts down the system.

I am comparing the information provided by upower with that provided by the apcupsd set of programs.

That being said, when the battery is CHARGING, it would appear that upower reports very similar numbers to apcupsd.

Version-Release number of selected component (if applicable):
upower-0.9.17-1.fc17.i686

How reproducible:
Always

Steps to Reproduce:
1. Plus UPS in
2. Disconnect power
3. Review discharge values
  
Actual results:
upower reports massively innacurate times.


Expected results:
upower to report similar numbers to that of the UPS it self.


Additional info:
I have also noticed that the gnome-power-manager appears to be recording no battery statistics for the UPS battery, for discharge/recharge rates or battery charge level.
Comment 1 Douglas Furlong 2012-08-19 17:15:43 EDT
Created attachment 605543 [details]
Discharge Comparison

This has been taken part way through the charge cycle, the more "charged" the battery the greater the disparity.
Comment 2 Douglas Furlong 2012-08-19 17:16:28 EDT
Created attachment 605544 [details]
Charge Comparison
Comment 3 Fedora End Of Life 2013-07-03 18:42:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:47:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.